Loading...
Searching...
No Matches
gtsam::IsTestable< T > Class Template Reference
Base

## Detailed Description

template<class T>
class gtsam::IsTestable< T >

A testable concept check that should be placed in applicable unit tests and in generic algorithms.

See macros for details on using this structure

Template Parameters

  T | is the objectype this constrains to be testable - assumes print() and equals()

## Public Member Functions

| BOOST_CONCEPT_USAGE (IsTestable)

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/Testable.h